package it.uniroma2.art.owlart.sesame2impl.models.conf;

import it.uniroma2.art.owlart.models.conf.ModelConfigurationParameter;
import it.uniroma2.art.owlart.models.conf.PersistenceModelConfiguration;

public abstract class Sesame2PersistentModelConfiguration extends Sesame2ModelConfiguration implements PersistenceModelConfiguration {

	@ModelConfigurationParameter(description = "time in milliseconds before model is persisted")
	public long syncDelay = 1000L;

	public Sesame2PersistentModelConfiguration() {
		super();
	}

	public boolean isPersistent() {
		return true;
	}

}
